| Home | Libraries | People | FAQ | More

## Struct template enable_move_utility_emulation

boost::enable_move_utility_emulation

## Synopsis

    // In header: <boost/move/utility_core.hpp>

    template<typename T>
    struct enable_move_utility_emulation {

      // public data members
      static const bool value;
    };

## Description

This trait's internal boolean `value` is false in compilers with rvalue references and true in compilers without rvalue references.

A user can specialize this trait for a type T to false to SFINAE out `move` and `forward` so that the user can define a different move emulation for that type in namespace boost (e.g. another Boost library for its types) and avoid any overload ambiguity.